@echo off
if (%1)==() goto DisplayUsage

:TestPath
if not exist "%1" goto DisplayUsage

:GetFiles
if not exist .\inc md inc
for /F %%i in (headers) do copy %1\include\%%i inc
if not exist .\bin md bin
for /F "eol=; tokens=1-2 delims=, " %%i in (binaries) do copy %1\bin\%%i bin\%%j

goto :EOF

:DisplayUsage
echo Update is used to copy tigger headers and binaries.  Tigger headers are checked
echo out of the CVS archive by default from the tip, or optionally at a specified
echo date and time stamp.  Binaries are copied from the specified source path.
echo Associated files are "headers" and "binaries".  Headers contains a list of
echo header files to checkout of CVS.  Binaries contains a list of binary files to
echo copy.
echo ÿ
echo Usage:
echo ÿ
echo    %0 fep_binaries_path
echo ÿ
echo Example:
echo ÿ
echo      %0 \\tiggermatic\tiggerfep\current\bin
goto :EOF
